# $Id: batrachians.spec.in,v 1.8 2009/02/27 03:21:43 sarrazip Exp $
# Spec file for batrachians

# Release number can be specified with rpm --define 'rel SOMETHING' ...
# If no such --define is used, the release number is 1.
#
# Source archive's extension can be specified with rpm --define 'srcext .foo'
# where .foo is the source archive's actual extension.
# To compile an RPM from a .bz2 source archive, give the command
#   rpmbuild -ta --define 'srcext .bz2' batrachians-0.1.2.tar.bz2
#
%if %{?rel:0}%{!?rel:1}
%define rel 1
%endif
%if %{?srcext:0}%{!?srcext:1}
%define srcext .gz
%endif

Summary: A Frog Bog(TM) clone
Name: batrachians
Version: 0.1.2
Release: %{rel}
License: GPL
Group: Amusements/Games
Source: %{name}-%{version}.tar%{srcext}
URL: http://sarrazip.com/dev/%{name}.html
Prefix: /usr
BuildRoot: %{_tmppath}/%{name}-%{version}-%{release}-root
Requires:	flatzebra	>= 0.1.2
BuildRequires:	flatzebra-devel	>= 0.1.2

%description
Batrachians is a game where you control a frog and your goal is to
eat more flies and score more points than the computer's frog.
This is a clone of the 1982 Frog Bog video game by Mattel Electronics.

%description -l fr
Batrachians est un jeu où vous contrôlez une grenouille et où votre
but est de manger plus de mouches et marquer plus de points que la
grenouille de l'ordinateur.
Ceci est un clone du jeu Frog Bog, sorti en 1982 par Mattel Electronics.

%prep
%setup -q

%build
%configure
make %{?_smp_mflags}

%install
rm -fR $RPM_BUILD_ROOT
make install DESTDIR="$RPM_BUILD_ROOT" INSTALL="%{__install} -p"

%clean
rm -fR $RPM_BUILD_ROOT

%files
%defattr(-, root, root)
%{_bindir}/*
%{_datadir}/pixmaps/*
%{_datadir}/sounds/*
%{_datadir}/applications/*
%{_mandir}/man*/*
%doc %{_defaultdocdir}/*
